summaryrefslogtreecommitdiff
path: root/qa/146
diff options
context:
space:
mode:
Diffstat (limited to 'qa/146')
-rwxr-xr-xqa/14644
1 files changed, 44 insertions, 0 deletions
diff --git a/qa/146 b/qa/146
new file mode 100755
index 0000000..e08390d
--- /dev/null
+++ b/qa/146
@@ -0,0 +1,44 @@
+#! /bin/sh
+# PCP QA Test No. 146
+# exercise pmNameAll
+#
+# Copyright (c) 1995-2002 Silicon Graphics, Inc. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard filters
+. ./common.product
+. ./common.filter
+. ./common.check
+
+trap "rm -f $tmp $tmp.*; exit" 0 1 2 3 15
+
+# real QA test starts here
+cat >$tmp <<End-of-File
+root {
+ ten 29:0:11
+ another_ten 29:0:11
+ yet
+}
+
+yet {
+ another
+ again 29:0:11
+}
+
+yet.another {
+ ten 29:0:11
+}
+End-of-File
+
+if [ $PCP_VER -lt 3600 ]
+then
+ pmnscomp -df -n $tmp $tmp.bin > $tmp.out 2>&1
+ src/nameall -n $tmp "" >> $tmp.out 2>&1
+else
+ src/nameall -N $tmp "" >> $tmp.out 2>&1
+fi
+
+sed < $tmp.out -e 's/[0-9\.]* msec/[TIME] msec/'